Healthcare devices at higher cybersecurity risk now due to coronavirus

Healthcare devices at higher cybersecurity risk now due to coronavirus

Much of the US healthcare system is running on outdated software and unsupported operating systems, such as Windows 7, leaving devices vulnerable to hackers actively exploiting the coronavirus.

Healthcare devices at higher cybersecurity risk now due to coronavirus

Please follow and like us: